#ifndef UI
#define UI
#include <pthread.h>
#include "read_file.h"

typedef struct {
    char *name;
    FILE *file;
    char is_recording;
    pthread_t pid;
    args_readfile *args_rf;
} ui_infos;

ui_infos * init_ui(char *name);
void free_ui(ui_infos *ptr);
int draw_ui(ui_infos *ptr);

#endif
